export declare class WorkerPAGImage {
    static fromSource(worker: Worker, source: TexImageSource): Promise<WorkerPAGImage>;
    worker: Worker;
    key: number;
    isDestroyed: boolean;
    constructor(worker: Worker, key: number);
    destroy(): Promise<void>;
}
